#/bin/bash

set -eou pipefail

# Create systemd user directory
echo "Create systemd user directory."
mkdir -vp ~/.config/systemd/user
echo

# Copy unit files
echo "Copy  unit files."
cp -v theme-switcher.{service,timer} ~/.config/systemd/user
echo

# Add username to service file
echo "Edit service unit file."
sed -i "s/username/$(whoami)/g" ~/.config/systemd/user/theme-switcher.service
echo

# Make directory for scripts
echo "Create script directory in /home."
mkdir -vp ~/.theme-switcher
echo

# Copy script file
echo "Copy script into directory."
cp -v *.sh ~/.theme-switcher
echo

# Enable and start timer
echo "Enabling timer."
systemctl --user enable theme-switcher.timer
echo
echo "Starting timer."
systemctl --user start theme-switcher.timer
echo
echo "Starting service."
systemctl --user start theme-switcher
echo